Retrieve a link
curl --request GET \
--url https://linkryse.com/v1/links/{linkId}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://linkryse.com/v1/links/{linkId}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://linkryse.com/v1/links/{linkId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"short_code": "<string>",
"long_url": "<string>",
"description": "<string>",
"created_at": "<string>",
"domain": "<string>",
"status": "<string>",
"track_conversions": "<string>",
"tags": [],
"short_url": "<string>",
"created_at_formatted": "<string>"
}
Links API
Retrieve a link
Retrieve a single link by its unique ID.
GET
/
v1
/
links
/
{linkId}
/
details
Retrieve a link
Path Parameters
string
required
The unique identifier of the link.
{
"id": "<string>",
"title": "<string>",
"short_code": "<string>",
"long_url": "<string>",
"description": "<string>",
"created_at": "<string>",
"domain": "<string>",
"status": "<string>",
"track_conversions": "<string>",
"tags": [],
"short_url": "<string>",
"created_at_formatted": "<string>"
}
Code Examples
cURL
curl --request GET \
--url https://linkryse.com/v1/links/link_123 \
--header 'Authorization: Bearer sk_live_...'
Node.js
const link = await linkryse.links.get('link_123');
console.log(link);
⌘I